site_name: CryptoTools documentation
theme:
    name: "readthedocs"

plugins:
    - mkdocstrings

nav:
  - Introduction: introduction.md
  - Installation: installation.md
  - Low-level cryptographic:
    - Number theory: number-theory.md
    - Group theory: group-theory.md
    - Curves: curves.md
  - Public Keys:
    - RSA: rsa.md
  - Utils:
    - Utils: utils.md
  - Examples:
    - Generating RSA Keys: example-rsa-keys.md 
    - Generating Curves: example-curves.md 
